Bug 458226 - x on trident gives black screen , locks the video card
x on trident gives black screen , locks the video card
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-trident (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 445078
  Show dependency treegraph
 
Reported: 2008-08-07 00:16 EDT by cornel panceac
Modified: 2009-11-18 13:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 13:23:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log without any user defined xorg.conf (10.33 KB, text/plain)
2008-08-07 00:43 EDT, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2008-08-07 00:16:55 EDT
Description of problem:
attempting to start x on my notebook gives only a black screen. the black screen is on both ctrl-alt-f7 and in ctrl-alt-f1..6. however, on ctrl-alt-f1..6 keyboard is responsive and i can ctrl-alt-del to reboot the system.

this was not happening on the beginning, only lately (last two months?).


Version-Release number of selected component (if applicable):
xorg-x11-drv-trident-1.3.0-1.fc9.i386
xorg-x11-server-Xorg-1.4.99-905-2.20080702.fc9.i386


How reproducible:
always

Steps to Reproduce:
1.start in runlevel 3
2.login
3.enter startx

or

1,2,3. start in runlevel 5
  
Actual results:
the card is locked into black scrren 

Expected results:
gui showsup

Additional info:
i've seen this first on debian lenny. after the bug appears in fedora, i've reinstalled the most recent version of debian lenn, the bug is still there too.
the notebook is pretty old, the card is
tgui 9660/938x/968x (rev d3)
and ram is 48 MB. swap is 256 MB. on the same system, slackware 12.0 deli 0.8 and vector 5.9 light are still able to start x as they should. f9 was able too, once.
Comment 1 cornel panceac 2008-08-07 00:43:32 EDT
Created attachment 313664 [details]
xorg log without any user defined xorg.conf
Comment 2 cornel panceac 2008-10-27 16:20:01 EDT
same thing happens on current rawhide.
Comment 3 Bug Zapper 2008-11-25 21:41:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:14:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 cornel panceac 2009-11-18 13:23:13 EST
f11 kernels no longer boot on this old machine, so i have to give up on using fedora on it.

Note You need to log in before you can comment on or make changes to this bug.